changeset 911:6fbbe5f0bc6b default tip

add silvermirror/unison alternative
author Jeff Hammel <k0scist@gmail.com>
date Sun, 14 Apr 2024 15:00:41 -0700
parents 98bcf207cda3
children
files bin/quicksilver.sh
diffstat 1 files changed, 14 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/bin/quicksilver.sh	Sun Apr 14 15:00:41 2024 -0700
@@ -0,0 +1,14 @@
+#!/usr/bin/env bash
+
+# Alternative to silvermirror + unison
+
+set -euxo pipefail
+
+# https://stackoverflow.com/questions/1602324/how-do-i-synchronize-in-both-directions
+# https://www.digitalocean.com/community/tutorials/how-to-use-rsync-to-sync-local-and-remote-directories
+
+SRC="${HOME}/docs"
+
+mkdir -p "${SRC}"
+rsync -au k0s.org:"${SRC}"/ "${SRC}"
+rsync -au "${SRC}"/ k0s.org:"${SRC}"